Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Class TaxAmountAndType1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_08.TaxAmountAndType1

public class TaxAmountAndType1 extends Object

Java class for TaxAmountAndType1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxAmountAndType1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}TaxAmountType1Choice" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ActiveOrHistoricCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected TaxAmountType1Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`TaxAmountAndType1()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`TaxAmountType1Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setTp(TaxAmountType1Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected TaxAmountType1Choice tp

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

## Constructor Details

### TaxAmountAndType1

public TaxAmountAndType1()

## Method Details

### getTp

public TaxAmountType1Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `TaxAmountType1Choice`

### setTp

public void setTp(TaxAmountType1Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `TaxAmountType1Choice`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`